This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 530320 - firstboot errors when loading modules
firstboot errors when loading modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On: 530698 530700
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-10-22 06:35 EDT by Michal Hlavinka
Modified: 2009-10-30 13:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 530698 530700 576457 (view as bug list)
Environment:
Last Closed: 2009-10-30 13:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2009-10-22 06:35:35 EDT
Description of problem:
when firstboot shows up after F-12 beta installation, some modules are missing (for example smolt) and following messages are printed to boot windows:

Loading /lib/kbd/keymaps/i386/querty/us.map.gz

firstboot ERROR: Module language does not contain a class named moduleClass: skipping.

firstboot ERROR: Error loading module smolt:

No module named rhpl.iconv

Loading /lib/kbd/keymaps/i386/querty/us.map.gz

Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x6000ab (firstboot)

Window manager warning: meta_window_activate called by a pager with a 0 timestamp; this pager needs to be fixed



Version-Release number of selected component (if applicable):
firstboot-1.110-1.fc12.x86_64


Steps to Reproduce:
1.install F-12 beta
2.
3.
  
Actual results:
some modules are missing, prints error messages

Expected results:
no modules missing, no error messages
Comment 1 Adam Williamson 2009-10-23 15:01:49 EDT
The fix for the Smolt module being missing landed today:

smolt-1.4-4.fc12
----------------
* Tue Oct 13 2009 Mike McGrath <mmcgrath@redhat.com> 1.4-4
- Fixing firstboot for F-12

there appear to be three separate bugs here: Smolt module missing, language module missing, and 'No module named rhpl.iconv' . The window manager warnings we don't think are really important. can you file separate bugs for all three errors, and set them to block this bug? We'll use this one as a tracker.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Michal Hlavinka 2009-10-24 06:18:33 EDT
Is it required to clone also smolt part? smolt is already fixed and tagged for f12.

After manual update to smolt packages I've found in koji and running firstboot, smolt module shows up correctly.
Comment 3 Chris Lumens 2009-10-26 11:40:42 EDT
So, what error message is this bug report now tracking?
Comment 4 Michal Hlavinka 2009-10-26 11:59:46 EDT
(In reply to comment #3)
> So, what error message is this bug report now tracking?

It seems this is just tracking bug for those two this depends on. So, only 530698 remains (afaict).
Comment 5 Pravin Satpute 2009-10-28 00:25:59 EDT
system-config-language firstboot bug is also fixed now and tagged for f12.
Comment 6 Adam Williamson 2009-10-30 13:21:51 EDT
This was a tracker for two other bugs that have now been closed. Closing.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.